List Submissions

Get the properties of submissions by providing an existing form template ID or an existing activity ID.

Query Params
int32

Form Template ID

The response payload would contain details about submissions corresponding to the form template given the existing form template ID.

Important: The Zenput server would require a value for either form_template_id or activity_idonly one— to be able to provide a response.

int32

Activity ID

The response payload would contain details about the submissions corresponding to the activity given the existing activity ID.

Important: The Zenput server would require a value for either form_template_id or activity_idonly one— to be able to provide a response.

int32
Defaults to 0

Number of objects —each corresponding to a specific submission— that the Zenput server should skip before selecting those that the data array in the response payload should contain

At the moment of selection, objects would be ordered descendingly by the date on which each corresponding submission reached the Zenput server.

Given that fact, and if the value of offset were 0, the first object of the data array in the response payload would correspond to the most recent submission.

Note: The default value of offset is 0.

int32
Defaults to 20

Number of objects —each corresponding to a specific submission— that the data array in the response payload should contain

Important: The maximum value of limit is 100.

Note: The default value of limit is 20.

date

Time frame starting date

The data array in the response payload would contain objects —each corresponding to a specific submission— that reached the Zenput server between the date specified in date_start and the date specified in date_end.

date

Time frame ending date

The data array in the response payload would contain objects —each corresponding to a specific submission— that reached the Zenput server between the date specified in date_start and the date specified in date_end.

Note: If the request body were to contain a value for date_start and not contain one for date_end, then the value of date_end would be today's date.

boolean
Defaults to false

Exclude the data array from the response payload.

Note: The default value of meta_only is false.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json